From f5ba9f419ba07b8dc59c39f96210c3ffb28ce531 Mon Sep 17 00:00:00 2001
From: sebastiii <sebastiii@team-mediaportal.com>
Date: Mon, 9 Jan 2017 20:59:14 +0100
Subject: [PATCH] MP1-4838 : Added NSIS and PostBuild.bat change.

---
 mediaportal/MediaPortal.Application/PostBuild.bat | 5 +++++
 mediaportal/Setup/setup.nsi                       | 4 ++++
 2 files changed, 9 insertions(+)

diff --git a/mediaportal/MediaPortal.Application/PostBuild.bat b/mediaportal/MediaPortal.Application/PostBuild.bat
index cff403a..be77044 100644
--- a/mediaportal/MediaPortal.Application/PostBuild.bat
+++ b/mediaportal/MediaPortal.Application/PostBuild.bat
@@ -200,5 +200,10 @@ xcopy %1\..\Packages\System.Management.Automation.6.1.7601.17515\lib\net40\Syste
 REM SharpLibDisplay
 xcopy %1\..\Packages\SharpLibDisplay.0.2.6\lib\net40\SharpLibDisplay.dll . /Y /D
 
+REM AudioSwitcher
+xcopy %1\..\Packages\AudioSwitcher.AudioApi.CoreAudio.4.0.0-alpha5\lib\net40\AudioSwitcher.AudioApi.CoreAudio.dll . /Y /D
+xcopy %1\..\Packages\AudioSwitcher.AudioApi.4.0.0-alpha5\lib\net40\AudioSwitcher.AudioApi.dll . /Y /D
+xcopy %1\..\Packages\Microsoft.Bcl.Async.1.0.168\lib\net40\Microsoft.Threading.Tasks.dll . /Y /D
+
 REM Enable >2GB for 32 bit process
 call %Build%\MSBUILD_MP_LargeAddressAware.bat %2
diff --git a/mediaportal/Setup/setup.nsi b/mediaportal/Setup/setup.nsi
index e8d0491..620241f 100644
--- a/mediaportal/Setup/setup.nsi
+++ b/mediaportal/Setup/setup.nsi
@@ -623,6 +623,10 @@ Section "MediaPortal core files (required)" SecCore
   ; SharpLibDisplay
   SetOutPath "$MPdir.Base\"
   File "${git_ROOT}\Packages\SharpLibDisplay.0.2.6\lib\net40\SharpLibDisplay.dll"
+  ; AudioSwitcher
+  File "${git_ROOT}\Packages\AudioSwitcher.AudioApi.CoreAudio.4.0.0-alpha5\lib\net40\AudioSwitcher.AudioApi.CoreAudio.dll"
+  File "${git_ROOT}\Packages\AudioSwitcher.AudioApi.4.0.0-alpha5\lib\net40\AudioSwitcher.AudioApi.dll"
+  File "${git_ROOT}\Packages\Microsoft.Bcl.Async.1.0.168\lib\net40\Microsoft.Threading.Tasks.dll"
   ; Doc
   SetOutPath "$MPdir.Base\Docs"
   File "${git_MP}\Docs\BASS License.txt"
-- 
2.10.0.windows.1

